Listar usuários
curl --request GET \
--url https://api.jurichat.com/user/ \
--header 'x-jurichat-api-key: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"contact": "<string>",
"imageUrl": "<string>",
"notificationSound": "<string>",
"officeId": "<string>",
"roleId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"role": {
"id": "<string>",
"name": "<string>"
},
"office": {
"id": "<string>",
"name": "<string>"
},
"inboxes": [
{
"id": "<string>",
"name": "<string>"
}
],
"lastInboxUsed": "<string>",
"onlyAssignedConversations": true
}
],
"totalResults": 123,
"totalPages": 123
}Users
Listar usuários
Lista usuários vinculados a uma inbox, com busca por nome ou e-mail e filtro por papel. Use page e limit para paginar.
GET
/
user
/
Listar usuários
curl --request GET \
--url https://api.jurichat.com/user/ \
--header 'x-jurichat-api-key: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"contact": "<string>",
"imageUrl": "<string>",
"notificationSound": "<string>",
"officeId": "<string>",
"roleId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"role": {
"id": "<string>",
"name": "<string>"
},
"office": {
"id": "<string>",
"name": "<string>"
},
"inboxes": [
{
"id": "<string>",
"name": "<string>"
}
],
"lastInboxUsed": "<string>",
"onlyAssignedConversations": true
}
],
"totalResults": 123,
"totalPages": 123
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Query Parameters
Número da página.
Quantidade de itens por página.
ID da inbox. Filtra usuários vinculados a essa caixa.
Pattern:
^[cC][^\s-]{8,}$Busca por nome ou e-mail (correspondência parcial).
Filtra usuários pelo ID do papel (role).
Pattern:
^[cC][^\s-]{8,}$⌘I